TermTranslator.cpp File Reference
`#include "stdinc.h"`
`#include "TermTranslator.h"`
`#include "Term.h"`
`#include "Ideal.h"`
`#include "BigIdeal.h"`
`#include "VarNames.h"`
`#include "FrobbyStringStream.h"`
`#include "ElementDeleter.h"`
`#include <iterator>`
`#include <algorithm>`
`#include <sstream>`
`#include <set>`

Go to the source code of this file.

## Functions

bool | mpzClassPointerLess (const mpz_class *a, const mpz_class *b)
bool | mpzClassPointerEqual (const mpz_class *a, const mpz_class *b)
void | extractExponents (const vector< BigIdeal * > &ideals, vector< mpz_class > &exponents, const string &varName)
bool | TermTranslatorInitializeHelper_StringPointerCompareLess (const string *a, const string *b)
bool | TermTranslatorInitializeHelper_StringPointerCompareEqual (const string *a, const string *b)
void | setToZeroOne (TermTranslator &translator)
ostream & | operator<< (ostream &out, const TermTranslator &translator)

## Function Documentation

## extractExponents()

void extractExponents | ( | const vector< BigIdeal * > & | ideals,
|  | vector< mpz_class > & | exponents,
|  | const string & | varName )

Definition at line 90 of file TermTranslator.cpp.

## mpzClassPointerEqual()

bool mpzClassPointerEqual | ( | const mpz_class * | a,
|  | const mpz_class * | b )

Definition at line 76 of file TermTranslator.cpp.

## mpzClassPointerLess()

bool mpzClassPointerLess | ( | const mpz_class * | a,
|  | const mpz_class * | b )

Definition at line 71 of file TermTranslator.cpp.

## operator<<()

ostream & operator<< | ( | ostream & | out,
|  | const TermTranslator & | translator )

Definition at line 492 of file TermTranslator.cpp.

## setToZeroOne()

void setToZeroOne | ( | TermTranslator & | translator | ) |

Definition at line 481 of file TermTranslator.cpp.

## TermTranslatorInitializeHelper_StringPointerCompareEqual()

bool TermTranslatorInitializeHelper_StringPointerCompareEqual | ( | const string * | a,
|  | const string * | b )

Definition at line 160 of file TermTranslator.cpp.

## TermTranslatorInitializeHelper_StringPointerCompareLess()

bool TermTranslatorInitializeHelper_StringPointerCompareLess | ( | const string * | a,
|  | const string * | b )

Definition at line 155 of file TermTranslator.cpp.